POST /runway/pro/video2video üzerinden videoları X-Runway-Version desteğiyle yeniden stilize etmek için CometAPI’nin Runway Video to Video Style Redraw endpoint’ini kullanın.
curl --request POST \
--url https://api.cometapi.com/runway/pro/video2video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
"model": "gen4",
"prompt": "pixelated style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>",
"state": "<string>",
"status": "<string>",
"prompt": "<string>",
"prompt_en": "<string>",
"video_url": "<string>",
"last_frame": "<string>",
"msg": "<string>",
"create_time": "<string>",
"update_time": "<string>",
"poster": "<string>"
},
"exec_time": 123
}X-Runway-Version header’ını gönderin, örneğin 2024-11-06video URL’si sağlayınmodel: gen4 kullanınstructure_transformation değeriyle başlayınYeniden stilize etme görevini gönderin
Görev durumunu sorgulayın
Bearer token authentication. Use your CometAPI key.
Optional Runway version header, for example 2024-11-06.
Webhook URL that receives a POST request with the result when the task completes.
URL of the source video to restyle.
Model version to use, e.g. gen4.
Text prompt describing the target style for the redraw.
Additional processing options.
Show child attributes
curl --request POST \
--url https://api.cometapi.com/runway/pro/video2video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
"model": "gen4",
"prompt": "pixelated style",
"options": {
"structure_transformation": 0.5,
"flip": true
}
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>",
"state": "<string>",
"status": "<string>",
"prompt": "<string>",
"prompt_en": "<string>",
"video_url": "<string>",
"last_frame": "<string>",
"msg": "<string>",
"create_time": "<string>",
"update_time": "<string>",
"poster": "<string>"
},
"exec_time": 123
}